Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Segher Boessenkool <[email-masked]>
Date: Thu, 15 Feb 2007 02:45:54 +0100

>> I think that:
>>
>>  - The /chosen node should be present in the .dts even if empty
>
> Only one DTS file has it.  It's been removed from every other DTS.  Are
> you should that instead of removing the last one, I should *add* one to
> the other DTS files?

Every device tree is required to have a /chosen node.  Now
that doesn't mean DTS files need one; there are some more
options:

-- dtc could add the node whenever it is missing from the DTS;
-- it could be made a requirement of the boot loader to add it;
-- the kernel could be taught to fake one if needed.

Pick your poison :-)  I prefer the first option (dtc).

Segher